Оплата від покупця: методи API Bimp
Методи API Bimp для ресурсу «Оплата від покупця» (/org2/customerPayment/…): 6 методів. Базова адреса: https://app.bimpsoft.com. Усі запити, крім входу, передають токен компанії в заголовку access-token — див. Початок роботи з API.
| Метод | Що робить |
|---|---|
POST /org2/customerPayment/api-readList | A request to view a list of customer payments |
POST /org2/customerPayment/api-read | A request to obtain detailed information for a particular customer payment document |
POST /org2/customerPayment/api-readStatuses | A request to retrieve the available statuses for a customer payment document |
POST /org2/customerPayment/api-create | A request to create a new customer payment document |
POST /org2/customerPayment/api-update | Route to update the document ‘payment from the buyer’ |
POST /org2/customerPayment/api-cancel | Cancel a customer payment document |
api-readList
POST /org2/customerPayment/api-readList
A request to view a list of customer payments
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
pagination | object | так | |
pagination.offset | number | так | Begin from {offset} elements |
pagination.count | number | так | Limit of paginated elemets |
periodable | object[] | Period range as a tuple of two ISO 8601 date-time strings in UTC (e.g. ‘2012-10-05T14:48:00.000Z’) | |
organizations | string (uuid)[] | A unique identifier for the Organization, obtainable from the /organization/api-readList request | |
orders | string (uuid)[] | Filter by order UUIDs (Invoice for customer payment) |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
[].uuid | string (uuid) | A unique uuid key for a customer payment document |
[].number | string | The number of the customer payment document |
[].currency | string (uuid) | A unique uuid key for a currency |
[].date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
[].comment | string | An optional text field for any additional notes or comments related to the document |
[].name | string | |
[].counterparty | string (uuid) | A unique uuid key for a counterparty |
[].author | string (uuid) | A unique uuid key for a document author |
[].organization | string (uuid) | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
[].status | string (uuid) | |
[].documentSum | number | Total amount of the document |
[].order | string (uuid) | A unique uuid key for the related order (Invoice for customer payment) |
curl -X POST 'https://app.bimpsoft.com/org2/customerPayment/api-readList' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"pagination":{"offset":0,"count":10}}'
api-read
POST /org2/customerPayment/api-read
A request to obtain detailed information for a particular customer payment document
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
uuid | string (uuid) | так | A unique uuid key for the Customer payment document |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
uuid | string (uuid) | A unique uuid key for a customer payment document |
number | string | The number of the customer payment document |
currency | string (uuid) | A unique uuid key for a currency |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
comment | string | An optional text field for any additional notes or comments related to the document |
name | string | |
counterparty | string (uuid) | A unique uuid key for a counterparty |
author | string (uuid) | A unique uuid key for a document author |
organization | string (uuid) | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
status | string (uuid) | |
documentSum | number | Total amount of the document |
order | string (uuid) | A unique uuid key for the related order (Invoice for customer payment) |
paymentEntity | string (uuid) | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request |
responsible | string (uuid) | null | |
commission | number | The amount of the commission |
sum | number | The amount of the document |
remainder | number | Aggregate Balance |
exchangeRateDifference | number | Amount of Foreign Exchange Difference |
paymentDetails | object[] | |
paymentDetails[].contract | string (uuid) | The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request |
paymentDetails[].invoiceForCustomerpayment | string (uuid) | A unique uuid key for a Buyer’s order (‘Invoice for customer payment’ in system) |
paymentDetails[].currency | string (uuid) | A unique uuid key for a currency |
paymentDetails[].calculationRate | number | Cross Course |
paymentDetails[].payed | number | Payment amount |
paymentDetails[].payedInContractCurrency | number | Settlement amount in contract currency |
paymentDetails[].debt | number | The current debt |
paymentDetails[].exchangeRateDifference | number | Amount of Foreign Exchange Difference |
curl -X POST 'https://app.bimpsoft.com/org2/customerPayment/api-read' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
api-readStatuses
POST /org2/customerPayment/api-readStatuses
A request to retrieve the available statuses for a customer payment document
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
pagination | object | так | |
pagination.offset | number | так | Begin from {offset} elements |
pagination.count | number | так | Limit of paginated elemets |
name | string | Filter by name |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
[].name | string | |
[].uuid | string (uuid) | |
[].code | string | |
[].active | boolean |
curl -X POST 'https://app.bimpsoft.com/org2/customerPayment/api-readStatuses' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"pagination":{"offset":0,"count":10}}'
api-create
POST /org2/customerPayment/api-create
A request to create a new customer payment document
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
counterparty | string (uuid) | так | A unique uuid key for a counterparty |
currency | string (uuid) | так | A unique uuid key for a currency |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) | |
number | string | The number of the customer payment document | |
comment | string | An optional text field for any additional notes or comments related to the document | |
responsible | string (uuid) | null | ||
author | string (uuid) | A unique uuid key for a document author | |
organization | string (uuid) | A unique identifier for the Organization, obtainable from the /organization/api-readList request | |
status | string (uuid) | ||
paymentEntity | string (uuid) | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request | |
commission | number | The amount of the commission | |
paymentDetails | object[] | ||
paymentDetails[].invoiceForCustomerpayment | string (uuid) | так | A unique uuid key for a Buyer’s order (‘Invoice for customer payment’ in system) |
paymentDetails[].payed | number | так | Payment amount |
paymentDetails[].calculationRate | number | Cross Course |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
uuid | string (uuid) |
curl -X POST 'https://app.bimpsoft.com/org2/customerPayment/api-create' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"counterparty":"00000000-0000-0000-0000-000000000000","currency":"00000000-0000-0000-0000-000000000000"}'
api-update
POST /org2/customerPayment/api-update
Route to update the document ‘payment from the buyer’
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
uuid | string (uuid) | так | A unique uuid key for a customer payment document |
number | string | The number of the customer payment document | |
comment | string | An optional text field for any additional notes or comments related to the document | |
responsible | string (uuid) | null | ||
author | string (uuid) | A unique uuid key for a document author | |
status | string (uuid) | ||
paymentEntity | string (uuid) | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request | |
commission | number | The amount of the commission | |
currency | string (uuid) | A unique uuid key for a currency | |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) | |
paymentDetails | object[] | ||
paymentDetails[].invoiceForCustomerpayment | string (uuid) | так | A unique uuid key for a Buyer’s order (‘Invoice for customer payment’ in system) |
paymentDetails[].payed | number | так | Payment amount |
paymentDetails[].calculationRate | number | Cross Course |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
uuid | string (uuid) |
curl -X POST 'https://app.bimpsoft.com/org2/customerPayment/api-update' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
api-cancel
POST /org2/customerPayment/api-cancel
Cancel a customer payment document
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
uuid | string (uuid) | так | A unique identifier for the Customer Payment, obtainable from the /customerPayment/api-readList request |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
success | boolean (true) |
curl -X POST 'https://app.bimpsoft.com/org2/customerPayment/api-cancel' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
Інтерактивна документація з можливістю надіслати тестовий запит: https://app.bimpsoft.com/docs. Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.